Bug 2120642 (CVE-2021-28861) - CVE-2021-28861 python: open redirection vulnerability in lib/http/server.py may lead to information disclosure
Summary: CVE-2021-28861 python: open redirection vulnerability in lib/http/server.py m...
Keywords:
Status: NEW
Alias: CVE-2021-28861
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2121032 2121042 2121043 2121047 2120644 2120645 2120783 2120784 2120785 2120786 2120787 2120788 2120789 2121031 2121033 2121034 2121035 2121036 2121038 2121039 2121040 2121041 2121046 2125238 2128258
Blocks: 2120646
TreeView+ depends on / blocked
 
Reported: 2022-08-23 13:02 UTC by Marian Rehak
Modified: 2022-11-23 01:38 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in python. This security flaw causes an open redirection vulnerability in lib/http/server.py due to no protection against multiple (/) at the beginning of the URI path. This issue may lead to information disclosure.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:6766 0 None None None 2022-10-03 15:20:01 UTC
Red Hat Product Errata RHSA-2022:8353 0 None None None 2022-11-15 11:01:43 UTC

Description Marian Rehak 2022-08-23 13:02:32 UTC
An open redirection vulnerability in lib/http/server.py due to no protection against multiple (/) at the beginning of URI path which may leads to information disclosure.

References:

https://bugs.python.org/issue43223

Comment 1 Marian Rehak 2022-08-23 13:10:55 UTC
Created mingw-python3 tracking bugs for this issue:

Affects: fedora-all [bug 2120645]


Created python34 tracking bugs for this issue:

Affects: epel-7 [bug 2120644]

Comment 2 Sandipan Roy 2022-08-23 17:59:36 UTC
Created pypy3.7 tracking bugs for this issue:

Affects: fedora-all [bug 2120787]


Created pypy3.8 tracking bugs for this issue:

Affects: fedora-all [bug 2120788]


Created pypy3.9 tracking bugs for this issue:

Affects: fedora-all [bug 2120789]


Created python3.6 tracking bugs for this issue:

Affects: fedora-all [bug 2120785]


Created python3.7 tracking bugs for this issue:

Affects: fedora-all [bug 2120784]


Created python3.8 tracking bugs for this issue:

Affects: fedora-all [bug 2120783]


Created python3.9 tracking bugs for this issue:

Affects: fedora-all [bug 2120786]

Comment 5 Miro Hrončok 2022-08-23 18:48:35 UTC
Upstream fix: https://github.com/python/cpython/pull/93879

Comment 7 Sandipan Roy 2022-08-24 10:31:16 UTC
Created python3.10 tracking bugs for this issue:

Affects: fedora-all [bug 2121034]


Created python3.11 tracking bugs for this issue:

Affects: fedora-all [bug 2121035]

Comment 11 Lumír Balhar 2022-09-13 09:49:55 UTC
The upstream fix is merged upstream for Python 3.7+ and released in 3.7.14, 3.8.14, 3.9.14, 3.10.6 and 3.11.0b4.

Comment 13 errata-xmlrpc 2022-10-03 15:19:58 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:6766 https://access.redhat.com/errata/RHSA-2022:6766

Comment 14 errata-xmlrpc 2022-11-15 11:01:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:8353 https://access.redhat.com/errata/RHSA-2022:8353


Note You need to log in before you can comment on or make changes to this bug.